{
  "id": "00000000-0000-0000-0000-000000000000",
  "prevId": "",
  "version": "7",
  "dialect": "postgresql",
  "tables": {
    "public.products": {
      "name": "products",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "products_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "name": {
          "name": "name",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": true
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "price": {
          "name": "price",
          "type": "numeric",
          "primaryKey": false,
          "notNull": true
        },
        "reseller_id": {
          "name": "reseller_id",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "category_id": {
          "name": "category_id",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "stock_qty": {
          "name": "stock_qty",
          "type": "integer",
          "primaryKey": false,
          "notNull": false,
          "default": 0
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.users": {
      "name": "users",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "bigserial",
          "primaryKey": true,
          "notNull": true
        },
        "username": {
          "name": "username",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": true
        },
        "email": {
          "name": "email",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": true
        },
        "password_hash": {
          "name": "password_hash",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": true
        },
        "first_name": {
          "name": "first_name",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "last_name": {
          "name": "last_name",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "profile_picture": {
          "name": "profile_picture",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "date_of_birth": {
          "name": "date_of_birth",
          "type": "date",
          "primaryKey": false,
          "notNull": false
        },
        "phone_number": {
          "name": "phone_number",
          "type": "varchar(20)",
          "primaryKey": false,
          "notNull": false
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "CURRENT_TIMESTAMP"
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "CURRENT_TIMESTAMP"
        },
        "is_admin": {
          "name": "is_admin",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "last_login": {
          "name": "last_login",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "email_verified": {
          "name": "email_verified",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "build_privacy_setting": {
          "name": "build_privacy_setting",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "'public'"
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "users_username_key": {
          "columns": [
            "username"
          ],
          "nullsNotDistinct": false,
          "name": "users_username_key"
        },
        "users_email_key": {
          "columns": [
            "email"
          ],
          "nullsNotDistinct": false,
          "name": "users_email_key"
        }
      },
      "checkConstraints": {
        "users_build_privacy_setting_check": {
          "name": "users_build_privacy_setting_check",
          "value": "build_privacy_setting = ANY (ARRAY['private'::text, 'public'::text])"
        }
      },
      "policies": {},
      "isRLSEnabled": false
    },
    "public.categories": {
      "name": "categories",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "categories_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "name": {
          "name": "name",
          "type": "varchar(100)",
          "primaryKey": false,
          "notNull": true
        },
        "parent_category_id": {
          "name": "parent_category_id",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.product_feeds": {
      "name": "product_feeds",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "productfeeds_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "reseller_id": {
          "name": "reseller_id",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "feed_url": {
          "name": "feed_url",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": true
        },
        "last_update": {
          "name": "last_update",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "product_feeds_uuid_unique": {
          "columns": [
            "uuid"
          ],
          "nullsNotDistinct": false,
          "name": "product_feeds_uuid_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.user": {
      "name": "user",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "text",
          "primaryKey": true,
          "notNull": true
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "email": {
          "name": "email",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "emailVerified": {
          "name": "emailVerified",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "image": {
          "name": "image",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "user_email_unique": {
          "columns": [
            "email"
          ],
          "nullsNotDistinct": false,
          "name": "user_email_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.user_activity_log": {
      "name": "user_activity_log",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "bigint",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "user_activity_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "user_id": {
          "name": "user_id",
          "type": "bigint",
          "primaryKey": false,
          "notNull": true
        },
        "activity": {
          "name": "activity",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "timestamp": {
          "name": "timestamp",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "CURRENT_TIMESTAMP"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.brands": {
      "name": "brands",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "brands_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "name": {
          "name": "name",
          "type": "varchar(100)",
          "primaryKey": false,
          "notNull": true
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "brands_uuid_unique": {
          "columns": [
            "uuid"
          ],
          "nullsNotDistinct": false,
          "name": "brands_uuid_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.manufacturer": {
      "name": "manufacturer",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "manufacturer_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "name": {
          "name": "name",
          "type": "varchar(100)",
          "primaryKey": false,
          "notNull": true
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "manufacturer_uuid_unique": {
          "columns": [
            "uuid"
          ],
          "nullsNotDistinct": false,
          "name": "manufacturer_uuid_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.session": {
      "name": "session",
      "schema": "",
      "columns": {
        "sessionToken": {
          "name": "sessionToken",
          "type": "text",
          "primaryKey": true,
          "notNull": true
        },
        "userId": {
          "name": "userId",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "expires": {
          "name": "expires",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.states": {
      "name": "states",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "byDefault",
            "name": "states_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "state": {
          "name": "state",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "abbreviation": {
          "name": "abbreviation",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.component_type": {
      "name": "component_type",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "component_type_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "name": {
          "name": "name",
          "type": "varchar(100)",
          "primaryKey": false,
          "notNull": true
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "component_type_uuid_unique": {
          "columns": [
            "uuid"
          ],
          "nullsNotDistinct": false,
          "name": "component_type_uuid_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.aero_precision": {
      "name": "aero_precision",
      "schema": "",
      "columns": {
        "sku": {
          "name": "sku",
          "type": "text",
          "primaryKey": true,
          "notNull": true
        },
        "manufacturer_id": {
          "name": "manufacturer_id",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "brand_name": {
          "name": "brand_name",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "product_name": {
          "name": "product_name",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "long_description": {
          "name": "long_description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "short_description": {
          "name": "short_description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "department": {
          "name": "department",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "category": {
          "name": "category",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "subcategory": {
          "name": "subcategory",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "thumb_url": {
          "name": "thumb_url",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "image_url": {
          "name": "image_url",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "buy_link": {
          "name": "buy_link",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "keywords": {
          "name": "keywords",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "reviews": {
          "name": "reviews",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "retail_price": {
          "name": "retail_price",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "sale_price": {
          "name": "sale_price",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "brand_page_link": {
          "name": "brand_page_link",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "brand_logo_image": {
          "name": "brand_logo_image",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "product_page_view_tracking": {
          "name": "product_page_view_tracking",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "variants_xml": {
          "name": "variants_xml",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "medium_image_url": {
          "name": "medium_image_url",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "product_content_widget": {
          "name": "product_content_widget",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "google_categorization": {
          "name": "google_categorization",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "item_based_commission": {
          "name": "item_based_commission",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.compartment": {
      "name": "compartment",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "varchar(100)",
          "primaryKey": false,
          "notNull": true
        },
        "description": {
          "name": "description",
          "type": "varchar(300)",
          "primaryKey": false,
          "notNull": false
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.builds": {
      "name": "builds",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "build_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "account_id": {
          "name": "account_id",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "name": {
          "name": "name",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": true
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "builds_uuid_unique": {
          "columns": [
            "uuid"
          ],
          "nullsNotDistinct": false,
          "name": "builds_uuid_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.psa": {
      "name": "psa",
      "schema": "",
      "columns": {
        "SKU": {
          "name": "SKU",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "MANUFACTURER_ID": {
          "name": "MANUFACTURER_ID",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "BRAND_NAME": {
          "name": "BRAND_NAME",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "PRODUCT_NAME": {
          "name": "PRODUCT_NAME",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "LONG_DESCRIPTION": {
          "name": "LONG_DESCRIPTION",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "SHORT_DESCRIPTION": {
          "name": "SHORT_DESCRIPTION",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "DEPARTMENT": {
          "name": "DEPARTMENT",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "CATEGORY": {
          "name": "CATEGORY",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "SUBCATEGORY": {
          "name": "SUBCATEGORY",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "THUMB_URL": {
          "name": "THUMB_URL",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "IMAGE_URL": {
          "name": "IMAGE_URL",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "BUY_LINK": {
          "name": "BUY_LINK",
          "type": "varchar(128)",
          "primaryKey": false,
          "notNull": false
        },
        "KEYWORDS": {
          "name": "KEYWORDS",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "REVIEWS": {
          "name": "REVIEWS",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "RETAIL_PRICE": {
          "name": "RETAIL_PRICE",
          "type": "real",
          "primaryKey": false,
          "notNull": false
        },
        "SALE_PRICE": {
          "name": "SALE_PRICE",
          "type": "real",
          "primaryKey": false,
          "notNull": false
        },
        "BRAND_PAGE_LINK": {
          "name": "BRAND_PAGE_LINK",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "BRAND_LOGO_IMAGE": {
          "name": "BRAND_LOGO_IMAGE",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "PRODUCT_PAGE_VIEW_TRACKING": {
          "name": "PRODUCT_PAGE_VIEW_TRACKING",
          "type": "varchar(256)",
          "primaryKey": false,
          "notNull": false
        },
        "PARENT_GROUP_ID": {
          "name": "PARENT_GROUP_ID",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "FINELINE": {
          "name": "FINELINE",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "SUPERFINELINE": {
          "name": "SUPERFINELINE",
          "type": "varchar(200)",
          "primaryKey": false,
          "notNull": false
        },
        "MODELNUMBER": {
          "name": "MODELNUMBER",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "CALIBER": {
          "name": "CALIBER",
          "type": "varchar(200)",
          "primaryKey": false,
          "notNull": false
        },
        "UPC": {
          "name": "UPC",
          "type": "varchar(100)",
          "primaryKey": false,
          "notNull": false
        },
        "MEDIUM_IMAGE_URL": {
          "name": "MEDIUM_IMAGE_URL",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "PRODUCT_CONTENT_WIDGET": {
          "name": "PRODUCT_CONTENT_WIDGET",
          "type": "varchar(256)",
          "primaryKey": false,
          "notNull": false
        },
        "GOOGLE_CATEGORIZATION": {
          "name": "GOOGLE_CATEGORIZATION",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "ITEM_BASED_COMMISSION": {
          "name": "ITEM_BASED_COMMISSION",
          "type": "varchar(50)",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.lipseycatalog": {
      "name": "lipseycatalog",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "lipseycatalog_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "itemno": {
          "name": "itemno",
          "type": "varchar(20)",
          "primaryKey": false,
          "notNull": true
        },
        "description1": {
          "name": "description1",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "description2": {
          "name": "description2",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "upc": {
          "name": "upc",
          "type": "varchar(20)",
          "primaryKey": false,
          "notNull": false
        },
        "manufacturermodelno": {
          "name": "manufacturermodelno",
          "type": "varchar(30)",
          "primaryKey": false,
          "notNull": false
        },
        "msrp": {
          "name": "msrp",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "model": {
          "name": "model",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "calibergauge": {
          "name": "calibergauge",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "manufacturer": {
          "name": "manufacturer",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "type": {
          "name": "type",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "action": {
          "name": "action",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "barrellength": {
          "name": "barrellength",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "capacity": {
          "name": "capacity",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "finish": {
          "name": "finish",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "overalllength": {
          "name": "overalllength",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "receiver": {
          "name": "receiver",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "safety": {
          "name": "safety",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "sights": {
          "name": "sights",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "stockframegrips": {
          "name": "stockframegrips",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "magazine": {
          "name": "magazine",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "weight": {
          "name": "weight",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "imagename": {
          "name": "imagename",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "chamber": {
          "name": "chamber",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "drilledandtapped": {
          "name": "drilledandtapped",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "rateoftwist": {
          "name": "rateoftwist",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "itemtype": {
          "name": "itemtype",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "additionalfeature1": {
          "name": "additionalfeature1",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "additionalfeature2": {
          "name": "additionalfeature2",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "additionalfeature3": {
          "name": "additionalfeature3",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "shippingweight": {
          "name": "shippingweight",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "boundbookmanufacturer": {
          "name": "boundbookmanufacturer",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "boundbookmodel": {
          "name": "boundbookmodel",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "boundbooktype": {
          "name": "boundbooktype",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "nfathreadpattern": {
          "name": "nfathreadpattern",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "nfaattachmentmethod": {
          "name": "nfaattachmentmethod",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "nfabaffletype": {
          "name": "nfabaffletype",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "silencercanbedisassembled": {
          "name": "silencercanbedisassembled",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "silencerconstructionmaterial": {
          "name": "silencerconstructionmaterial",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "nfadbreduction": {
          "name": "nfadbreduction",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "silenceroutsidediameter": {
          "name": "silenceroutsidediameter",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "nfaform3Caliber": {
          "name": "nfaform3Caliber",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "opticmagnification": {
          "name": "opticmagnification",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "maintubesize": {
          "name": "maintubesize",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "adjustableobjective": {
          "name": "adjustableobjective",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "objectivesize": {
          "name": "objectivesize",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "opticadjustments": {
          "name": "opticadjustments",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "illuminatedreticle": {
          "name": "illuminatedreticle",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "reticle": {
          "name": "reticle",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "exclusive": {
          "name": "exclusive",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "quantity": {
          "name": "quantity",
          "type": "varchar(10)",
          "primaryKey": false,
          "notNull": false,
          "default": "NULL"
        },
        "allocated": {
          "name": "allocated",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "onsale": {
          "name": "onsale",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "price": {
          "name": "price",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "currentprice": {
          "name": "currentprice",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "retailmap": {
          "name": "retailmap",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "fflrequired": {
          "name": "fflrequired",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "sotrequired": {
          "name": "sotrequired",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "exclusivetype": {
          "name": "exclusivetype",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "scopecoverincluded": {
          "name": "scopecoverincluded",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "special": {
          "name": "special",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "sightstype": {
          "name": "sightstype",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "case": {
          "name": "case",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "choke": {
          "name": "choke",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "dbreduction": {
          "name": "dbreduction",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "family": {
          "name": "family",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "finishtype": {
          "name": "finishtype",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "frame": {
          "name": "frame",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "griptype": {
          "name": "griptype",
          "type": "varchar(30)",
          "primaryKey": false,
          "notNull": false
        },
        "handgunslidematerial": {
          "name": "handgunslidematerial",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "countryoforigin": {
          "name": "countryoforigin",
          "type": "varchar(4)",
          "primaryKey": false,
          "notNull": false
        },
        "itemlength": {
          "name": "itemlength",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "itemwidth": {
          "name": "itemwidth",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "itemheight": {
          "name": "itemheight",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "packagelength": {
          "name": "packagelength",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "packagewidth": {
          "name": "packagewidth",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "packageheight": {
          "name": "packageheight",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "itemgroup": {
          "name": "itemgroup",
          "type": "varchar(40)",
          "primaryKey": false,
          "notNull": false
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.builds_components": {
      "name": "builds_components",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "build_components_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "build_id": {
          "name": "build_id",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "product_id": {
          "name": "product_id",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "builds_components_uuid_unique": {
          "columns": [
            "uuid"
          ],
          "nullsNotDistinct": false,
          "name": "builds_components_uuid_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.bal_resellers": {
      "name": "bal_resellers",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "integer",
          "primaryKey": true,
          "notNull": true,
          "identity": {
            "type": "always",
            "name": "resellers_id_seq",
            "increment": "1",
            "minValue": "1",
            "maxValue": "2147483647",
            "startWith": "1",
            "cache": "1",
            "cycle": false,
            "schema": "public"
          }
        },
        "name": {
          "name": "name",
          "type": "varchar(100)",
          "primaryKey": false,
          "notNull": true
        },
        "website_url": {
          "name": "website_url",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "contact_email": {
          "name": "contact_email",
          "type": "varchar(100)",
          "primaryKey": false,
          "notNull": false
        },
        "updated_at": {
          "name": "updated_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "deleted_at": {
          "name": "deleted_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "uuid": {
          "name": "uuid",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false,
          "default": "gen_random_uuid()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "bal_resellers_uuid_unique": {
          "columns": [
            "uuid"
          ],
          "nullsNotDistinct": false,
          "name": "bal_resellers_uuid_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.verificationToken": {
      "name": "verificationToken",
      "schema": "",
      "columns": {
        "identifier": {
          "name": "identifier",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "token": {
          "name": "token",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "expires": {
          "name": "expires",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {
        "verificationToken_identifier_token_pk": {
          "name": "verificationToken_identifier_token_pk",
          "columns": [
            "identifier",
            "token"
          ]
        }
      },
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.authenticator": {
      "name": "authenticator",
      "schema": "",
      "columns": {
        "credentialID": {
          "name": "credentialID",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "userId": {
          "name": "userId",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "providerAccountId": {
          "name": "providerAccountId",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "credentialPublicKey": {
          "name": "credentialPublicKey",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "counter": {
          "name": "counter",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "credentialDeviceType": {
          "name": "credentialDeviceType",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "credentialBackedUp": {
          "name": "credentialBackedUp",
          "type": "boolean",
          "primaryKey": false,
          "notNull": true
        },
        "transports": {
          "name": "transports",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {
        "authenticator_userId_user_id_fk": {
          "name": "authenticator_userId_user_id_fk",
          "tableFrom": "authenticator",
          "tableTo": "user",
          "schemaTo": "public",
          "columnsFrom": [
            "userId"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "cascade",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {
        "authenticator_userId_credentialID_pk": {
          "name": "authenticator_userId_credentialID_pk",
          "columns": [
            "credentialID",
            "userId"
          ]
        }
      },
      "uniqueConstraints": {
        "authenticator_credentialID_unique": {
          "columns": [
            "credentialID"
          ],
          "nullsNotDistinct": false,
          "name": "authenticator_credentialID_unique"
        }
      },
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.account": {
      "name": "account",
      "schema": "",
      "columns": {
        "userId": {
          "name": "userId",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "type": {
          "name": "type",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "provider": {
          "name": "provider",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "providerAccountId": {
          "name": "providerAccountId",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "refresh_token": {
          "name": "refresh_token",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "access_token": {
          "name": "access_token",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "expires_at": {
          "name": "expires_at",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "token_type": {
          "name": "token_type",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "scope": {
          "name": "scope",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "id_token": {
          "name": "id_token",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "session_state": {
          "name": "session_state",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {
        "account_provider_providerAccountId_pk": {
          "name": "account_provider_providerAccountId_pk",
          "columns": [
            "provider",
            "providerAccountId"
          ]
        }
      },
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    }
  },
  "enums": {},
  "schemas": {},
  "sequences": {},
  "roles": {},
  "policies": {},
  "views": {},
  "_meta": {
    "schemas": {},
    "tables": {},
    "columns": {}
  },
  "internal": {
    "tables": {
      "lipseycatalog": {
        "columns": {
          "quantity": {
            "isDefaultAnExpression": true
          }
        }
      }
    }
  }
}